Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieves a specific workflow by its ID within the specified workspace.
cURL
curl --request GET \ --url https://{baseUrl}/api/v1/api/workflows/{id}
import requests url = "https://{baseUrl}/api/v1/api/workflows/{id}" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://{baseUrl}/api/v1/api/workflows/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://{baseUrl}/api/v1/api/workflows/{id}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "id": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "content": { "on": { "target": [ "<string>" ], "schedule": "disabled" }, "jobs": [ { "name": "<string>", "run": "<string>" } ], "name": "<string>" }, "isCanDelete": true, "isCanEdit": true }
Workspace ID
Workflow object
Show child attributes